QuantLib: G2ForwardProcess Class Reference

A free/open-source library for quantitative finance Reference manual - version 1.12

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
G2ForwardProcess Class Reference
Stochastic processes

Forward G2 stochastic process More...

`#include <ql/processes/g2process.hpp>`

Inheritance diagram for G2ForwardProcess:
[legend]

## Public Member Functions
| G2ForwardProcess (Real a, Real sigma, Real b, Real eta, Real rho)
StochasticProcess interface
Size | size () const
| returns the number of dimensions of the stochastic process
Disposable< Array > | initialValues () const
| returns the initial values of the state variables
Disposable< Array > | drift (Time t, const Array &x) const
| returns the drift part of the equation, i.e., \( \mu(t, \mathrm{x}_t) \)
Disposable< Matrix > | diffusion (Time t, const Array &x) const
| returns the diffusion part of the equation, i.e. \( \sigma(t, \mathrm{x}_t) \)
Disposable< Array > | expectation (Time t0, const Array &x0, Time dt) const
Disposable< Matrix > | stdDeviation (Time t0, const Array &x0, Time dt) const
Disposable< Matrix > | covariance (Time t0, const Array &x0, Time dt) const
Public Member Functions inherited from ForwardMeasureProcess
virtual void | setForwardMeasureTime (Time)
Time | getForwardMeasureTime () const
Public Member Functions inherited from StochasticProcess
virtual Size | factors () const
| returns the number of independent factors of the process
virtual Disposable< Array > | evolve (Time t0, const Array &x0, Time dt, const Array &dw) const
virtual Disposable< Array > | apply (const Array &x0, const Array &dx) const
virtual Time | time (const Date &) const
void | update ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const boost::shared_ptr< Observable > &)
void | registerWithObservables (const boost::shared_ptr< Observer > &)
Size | unregisterWith (const boost::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()

## Protected Member Functions
Real | xForwardDrift (Time t, Time T) const
Real | yForwardDrift (Time t, Time T) const
Real | Mx_T (Real s, Real t, Real T) const
Real | My_T (Real s, Real t, Real T) const
Protected Member Functions inherited from ForwardMeasureProcess
| ForwardMeasureProcess (Time T)
| ForwardMeasureProcess (const boost::shared_ptr< discretization > &)
Protected Member Functions inherited from StochasticProcess
| StochasticProcess (const boost::shared_ptr< discretization > &)

## Protected Attributes
Real | x0_
Real | y0_
Real | a_
Real | sigma_
Real | b_
Real | eta_
Real | rho_
boost::shared_ptr< QuantLib::OrnsteinUhlenbeckProcess > | xProcess_
boost::shared_ptr< QuantLib::OrnsteinUhlenbeckProcess > | yProcess_
Protected Attributes inherited from ForwardMeasureProcess
Time | T_
Protected Attributes inherited from StochasticProcess
boost::shared_ptr< discretization > | discretization_

## Additional Inherited Members
Public Types inherited from Observer
typedef std::set< boost::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator

## Detailed Description

Forward G2 stochastic process

## Member Function Documentation

## ◆ expectation()

Disposable<Array> expectation | ( | Time | t0,
|  | const Array & | x0,
|  | Time | dt
| ) |  | const
| virtual

returns the expectation \( E(\mathrm{x}_{t_0 + \Delta t} | \mathrm{x}_{t_0} = \mathrm{x}_0) \) of the process after a time interval \( \Delta t \) according to the given discretization. This method can be overridden in derived classes which want to hard-code a particular discretization.

Reimplemented from StochasticProcess.

## ◆ stdDeviation()

Disposable<Matrix> stdDeviation | ( | Time | t0,
|  | const Array & | x0,
|  | Time | dt
| ) |  | const
| virtual

returns the standard deviation \( S(\mathrm{x}_{t_0 + \Delta t} | \mathrm{x}_{t_0} = \mathrm{x}_0) \) of the process after a time interval \( \Delta t \) according to the given discretization. This method can be overridden in derived classes which want to hard-code a particular discretization.

Reimplemented from StochasticProcess.

## ◆ covariance()

Disposable<Matrix> covariance | ( | Time | t0,
|  | const Array & | x0,
|  | Time | dt
| ) |  | const
| virtual

returns the covariance \( V(\mathrm{x}_{t_0 + \Delta t} | \mathrm{x}_{t_0} = \mathrm{x}_0) \) of the process after a time interval \( \Delta t \) according to the given discretization. This method can be overridden in derived classes which want to hard-code a particular discretization.

Reimplemented from StochasticProcess.